Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.format
Class PieChartLabelFormats

    java.lang.Object
      info.bioinfweb.treegraph.document.format.LabelFormats
          info.bioinfweb.treegraph.document.format.GraphicalLabelFormats
              info.bioinfweb.treegraph.document.format.PieChartLabelFormats

All Implemented Interfaces:
  ElementFormats, LineFormats, Cloneable

    public class PieChartLabelFormats

extends GraphicalLabelFormats
implements LineFormats

Stores the formats of pie chart label.

Since:
  2.0.43
Author:
  Ben Stöver

Field Summary
`static boolean` | `DEFAULT_SHOW_INTERNAL_LINES`
`static boolean` | `DEFAULT_SHOW_NULL_LINES`
`private List<Color>` | `pieColors`
`private boolean` | `showInternalLines`
`private boolean` | `showNullLines`

Fields inherited from class info.bioinfweb.treegraph.document.format.GraphicalLabelFormats
`DEFAULT_ICON_HEIGHT_IN_MM, DEFAULT_ICON_WIDTH_IN_MM`

Fields inherited from class info.bioinfweb.treegraph.document.format.LabelFormats
`DEFAULT_MARGIN_IN_MM`

Fields inherited from interface info.bioinfweb.treegraph.document.format.LineFormats
`DEFAULT_LINE_COLOR, DEFAULT_LINE_WIDTH_IN_MM`

Constructor Summary
`PieChartLabelFormats(Label owner)`
`PieChartLabelFormats(Label owner, boolean above, int line, int linePosition)`

Method Summary
`boolean` | `addPieColor(Color color)`
`void` | `addPieColor(int index, Color color)`
`void` | `assign(PieChartLabelFormats other)`
`void` | `assignPieChartLabelFormats(PieChartLabelFormats other)`
`PieChartLabelFormats` | `clone()` Returns a deep copy with the owner `null`.
`Color` | `getPieColor(int index)` Returns the stored color with the specified index.
`boolean` | `getShowInternalLines()`
`boolean` | `getShowNullLines()`
`int` | `pieColorCount()`
`Color` | `setPieColor(int index, Color color)`
`void` | `setShowInternalLines(boolean showInternalLines)`
`void` | `setShowNullLines(boolean showNullLines)`

Methods inherited from class info.bioinfweb.treegraph.document.format.GraphicalLabelFormats
`assignGraphicalLabelFormats, assignLineFormats, getHeight, getLineColor, getLineWidth, getWidth, setLineColor`

Methods inherited from class info.bioinfweb.treegraph.document.format.LabelFormats
`assignLabelFormats, getLineNumber, getLinePosition, getMargin, getOwner, isAbove, setAbove, setLineNumber, setLinePosition, setOwner`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.document.format.LineFormats
`assignLineFormats, getLineColor, getLineWidth, setLineColor`

Field Detail

### DEFAULT_SHOW_INTERNAL_LINES

    public static final boolean DEFAULT_SHOW_INTERNAL_LINES

See Also:
  Constant Field Values

### DEFAULT_SHOW_NULL_LINES

    public static final boolean DEFAULT_SHOW_NULL_LINES

See Also:
  Constant Field Values

### pieColors

    private List<Color> pieColors

### showInternalLines

    private boolean showInternalLines

### showNullLines

    private boolean showNullLines

Constructor Detail

### PieChartLabelFormats

    public PieChartLabelFormats(Label owner,
                                boolean above,
                                int line,
                                int linePosition)

### PieChartLabelFormats

    public PieChartLabelFormats(Label owner)

Method Detail

### addPieColor

    public boolean addPieColor(Color color)

### addPieColor

    public void addPieColor(int index,
                            Color color)

### getPieColor

    public Color getPieColor(int index)

  Returns the stored color with the specified index. If the index is out of the rage of the currently stored field, new colors are added.

  Parameters:
    `index` - the index of the color
  Returns:

### setPieColor

    public Color setPieColor(int index,
                             Color color)

### pieColorCount

    public int pieColorCount()

### getShowInternalLines

    public boolean getShowInternalLines()

### setShowInternalLines

    public void setShowInternalLines(boolean showInternalLines)

### getShowNullLines

    public boolean getShowNullLines()

### setShowNullLines

    public void setShowNullLines(boolean showNullLines)

### assignPieChartLabelFormats

    public void assignPieChartLabelFormats(PieChartLabelFormats other)

### assign

    public void assign(PieChartLabelFormats other)

### clone

    public PieChartLabelFormats clone()

  Description copied from class: `LabelFormats`
  Returns a deep copy with the owner `null`.

  Specified by:
    `clone` in interface `ElementFormats`
  Specified by:
    `clone` in interface `LineFormats`
  Overrides:
    `clone` in class `LabelFormats`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD